wireless stops working until reboot

Bug #132042 reported by rax_m on 2007-08-12
110
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Hi
I have a Toshiba Satellite P100 laptop. Ever since upgrading to Feisty (clean install), my wireless connection seems to die occassionally and randomly. Network manager can see my wireless AP but just can't connect to it. Once I reboot it works fine. Most often occurs if the laptop is left running for a long time (i.e. a day or more).

Kernel: 2.6.20-16-generic
Using the restricted drivers for the networking which is installed automatically after you install.

Tried doing "sudo /etc/init.d/networking restart" but that doesn't bring it back.

Cheers
Rax

Justin M. Wray (wray-justin) wrote :

rax_m:

Are you using WEP/WPA or any other form of security on your wireless network?

Also, can you attach the output of `lspci`

Thanks,
Justin M. Wray

Hi

I'm using WPA for security.
Please find the output of lspci as an attachment.

Thanks
Rax

----- Original Message ----
From: Justin M. Wray <email address hidden>
To: <email address hidden>
Sent: Monday, 13 August, 2007 4:37:41 PM
Subject: [Bug 132042] Re: wireless stops working until reboot

rax_m:

Are you using WEP/WPA or any other form of security on your wireless
network?

Also, can you attach the output of `lspci`

Thanks,
Justin M. Wray

** Changed in: Ubuntu
     Assignee: (unassigned) => Justin M. Wray
       Status: New => Incomplete

--
wireless stops working until reboot
https://bugs.launchpad.net/bugs/132042
You received this bug notification because you are a direct subscriber
of the bug.

      ___________________________________________________________
Yahoo! Answers - Got a question? Someone out there knows the answer. Try it
now.
http://uk.answers.yahoo.com/

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA Storage Controller IDE (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce Go 7600] (rev a1)
02:00.0 Ethernet controller: Intel Corporation 82573L Gigabit Ethernet Controller
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
0a:04.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
0a:04.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
0a:04.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
0a:04.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

rax_m (rax-m) wrote :

Oops.. sorry it seems the attachment didn't come across correctly in the email. Here it is properly.

Justin M. Wray (wray-justin) wrote :

Thank you,
Justin M. Wray

Sent via BlackBerry by AT&T

-----Original Message-----
From: rax_m <email address hidden>

Date: Mon, 13 Aug 2007 16:18:47
To:<email address hidden>
Subject: [Bug 132042] Re: wireless stops working until reboot

Oops.. sorry it seems the attachment didn't come across correctly in the
email. Here it is properly.

** Attachment added: "output of lscpi"
   http://launchpadlibrarian.net/8796958/lspci.txt

--
wireless stops working until reboot
https://bugs.launchpad.net/bugs/132042
You received this bug notification because you are a direct subscriber
of the bug.

sc00ter (gosdenj) wrote :
Download full text (7.5 KiB)

Hi, I have exactly the same issue. It can vary in degree of frequency. However, the longer the machine is on, then the more chance of wireless stopping, and a reboot is needed to get wireless back up.

Issuing:
sudo iwlist wlan0 scan

Will result in the message "No scan results"

No matter how many times sudo ifdown wlan0/sudo ifup wlan0 command combination is issued, the iwlist reports no AP's to associate with. Nothing reported using iwevent either.

Also: sudo /etc/init.d/networking restart - doesn't fair any better either.

Upon which, I am forced to reboot to get wireless netwoking back.

I'm currently using 64bit WEP encryption.

Here's some info:

System:
Feisty Fawn 7.04

"uname -a" output:
2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Network Adapter:
Realtek RTL 8187 USB2.0 (Integrated) device ID: 0bda:8187

"lsusb" output:

Bus 005 Device 004: ID 0402:5602 ALi Corp.
Bus 005 Device 002: ID 0bda:8187 Realtek Semiconductor Corp.
Bus 005 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000
Bus 002 Device 003: ID 1020:0206 Labtec
Bus 002 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000

"lsmod" output:

Module Size Used by
binfmt_misc 12680 1
vboxdrv 44552 0
ppdev 10116 0
i915 24448 2
drm 81044 3 i915
dev_acpi 12292 0
tc1100_wmi 8068 0
pcc_acpi 13184 0
sony_acpi 6284 0
button 8720 0
ac 6020 0
sbs 15652 0
i2c_ec 6016 1 sbs
i2c_core 22656 1 i2c_ec
container 5248 0
battery 10756 0
acpi_cpufreq 10056 1
dock 10268 0
video 16388 0
asus_acpi 17308 0
backlight 7040 1 asus_acpi
cpufreq_conservative 8200 0
cpufreq_ondemand 9228 2
cpufreq_powersave 2688 0
cpufreq_stats 7360 0
freq_table 5792 3 acpi_cpufreq,cpufreq_ondemand,cpufreq_stats
cpufreq_userspace 5408 0
rt2570 187072 0
sbp2 23812 0
parport_pc 36388 0
lp 12452 0
parport 36936 3 ppdev,parport_pc,lp
fuse 46612 1
arc4 2944 2
ecb 4480 2
blkcipher 6784 1 ecb
rc80211_simple 6400 1
snd_hda_intel 21912 4
snd_hda_codec 205056 1 snd_hda_intel
snd_pcm_oss 44544 0
snd_pcm 79876 4 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_mixer_oss 17408 1 snd_pcm_oss
rtl8187 34944 0
mac80211 175364 2 rc80211_simple,rtl8187
snd_seq_dummy 4740 0
pcmcia 39212 0
cfg80211 22920 1 mac80211
snd_seq_oss 32896 0
usbhid 26592 0
hid 27392 1 usbhid
eeprom_93cx6 4352 1 rtl8187
snd_seq_midi 9600 0
snd_rawmidi 25472 1 snd_se...

Read more...

sc00ter (gosdenj) wrote :

Not sure if this is related; or will help with my rtl8187:
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/124801

But I will give it a try next time my wireless networking stops working and see if this has any effect, and will report my results.

incarnis (simon-incarnis) wrote :

I have the same problem, with the same output as above, but on a Centrino wireless setup (ipw3945d). Haven't yet managed to get it to come back after a reboot. Frequency is shown as "nan" on the output to iwlist eth1 scanning.

sc00ter (gosdenj) wrote :

Just had the same problem occur again, tried the usual combinations or ifdown/ifup, iwlist scan, etc/init.d/networking restart etc. as detailed above, all with the usual negative results.

I then followed the advice give here:
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/124801

I issued the following commands:

sudo ifdown wlan0
sudo rmmod rtl8187

Waited a few seconds ... and then:

sudo modprobe rtl8187
sudo ifup wlan0

Wireless networking then started working without the need of a reboot.

NOTE: rtl8187 is my network driver, for the Realtek 8187 USB2 device ID:0bda:8187

Wireless network seemed to have stopped working during an FTP upload operation (using gFTP 2.0.18). I'm able to reproduce this EVERYTIME for large number of files I'm uploading (700+).

The wireless network seems to drop at around 73% of files transferred, which is approx. 590+ files. The total amount of data that was being transferred, is no more than 4.5MB.

NOTE: This problem does not occur using wired-networking.

MrJD (vrmaniac) wrote :
Download full text (4.5 KiB)

Please raise the priority of this, if you want ubuntu to work on laptops as well as winblows then this is a bug that needs some attention. I as well have a laptop with a wireless net problem. Same symptoms, haven't tried to modprobe it to work yet.

After some time it just stops working, the wireless light goes out as well. Mashing the radio button does no good, and it will not reconnect until next reboot.

LSMOD:
Module Size Used by
binfmt_misc 12680 1
ipv6 268960 12
rfcomm 40856 0
l2cap 25856 5 rfcomm
bluetooth 55908 4 rfcomm,l2cap
fglrx 540004 11
ppdev 10116 0
powernow_k8 16064 0
cpufreq_conservative 8200 0
cpufreq_userspace 5408 0
cpufreq_powersave 2688 0
cpufreq_stats 7360 0
cpufreq_ondemand 9228 1
freq_table 5792 3 powernow_k8,cpufreq_stats,cpufreq_ondemand
sony_acpi 6284 0
tc1100_wmi 8068 0
pcc_acpi 13184 0
dev_acpi 12292 0
battery 10756 0
ac 6020 0
sbs 15652 0
button 8720 0
container 5248 0
asus_acpi 17308 0
backlight 7040 1 asus_acpi
video 16388 0
i2c_ec 6016 1 sbs
dock 10268 0
af_packet 23816 4
parport_pc 36388 0
lp 12452 0
parport 36936 3 ppdev,parport_pc,lp
fuse 46612 0
joydev 10816 0
snd_atiixp_modem 17160 0
snd_atiixp 20620 1
pcmcia 39212 0
snd_ac97_codec 98464 2 snd_atiixp_modem,snd_atiixp
snd_seq_dummy 4740 0
snd_seq_oss 32896 0
snd_seq_midi 9600 0
snd_rawmidi 25472 1 snd_seq_midi
snd_seq_midi_event 8448 2 snd_seq_oss,snd_seq_midi
bcm43xx 126824 0
ac97_bus 3200 1 snd_ac97_codec
snd_pcm_oss 44544 0
snd_mixer_oss 17408 1 snd_pcm_oss
psmouse 38920 0
ieee80211softmac 31360 1 bcm43xx
snd_pcm 79876 4 snd_atiixp_modem,snd_atiixp,snd_ac97_codec,snd_pcm_oss
pcspkr 4224 0
ieee80211 34760 2 bcm43xx,ieee80211softmac
ieee80211_crypt 7040 1 ieee80211
snd_seq 52592 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 23684 2 snd_pcm,snd_seq
snd_seq_device 9100 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
i2c_piix4 9740 0
yenta_socket 27532 1
rsrc_nonstatic 14080 1 yenta_socket
pcmcia_core 40852 3 pcmcia,yenta_socket,rsrc_nonstatic
serio_raw 7940 0
i2c_core 22656 2 i2c_ec,i2c_piix4
k8temp 6656 0
shpchp 34324 0
pci_hotplug 32576 1 shpchp
ati_agp 10124 0
agpgart 35400 2 fglrx,ati_agp
snd 54020 13 snd_atiixp_mo...

Read more...

Alex Zhang (ctrl-space-enter) wrote :

I got the same issue.

kernel 2.6.22-14 generic
intel 3945ABG wireless card.

sc00ter (gosdenj) wrote :

OK, I have a bit more info:

I've noticed that this problem seems to increase, the weaker the signal is with the AP or Router. When the signal level drops below 25/65 (as reported by iwconfig) on occasson I have to ifdown & ifup or rmmod and modprobe the driver to get my connection back.

This maybe a bit of a red-herring, but in my case worth mentioning.

I don't know if the version of driver supplied within the kernel in Gutsy is an improvement or not. Will wait for the dust to settle before upgrading to Gutsy.

LEVIS Cyril (atlas95) wrote :

I have the same problem with iwl4965 and gusty :(, i restart when other command don't work

have the same problem with Realtek RTL 8187 USB2.0 (Integrated) device ID: 0bda:8187
furthermore, network manager applet "manual configuration" works real slow - does not respond for a minute - after each click, after the card fails.

here is info from messages.log (same in dmesg)
Oct 23 14:57:15 guest dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/wlan0 for sub-path wlan0.dbus.get.reason
Oct 23 14:57:20 guest kernel: [ 69.324000] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Oct 23 14:58:41 guest kernel: [ 150.540000] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Oct 23 14:59:01 guest kernel: [ 171.268000] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Oct 23 15:00:02 guest kernel: [ 231.392000] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Oct 23 15:00:12 guest kernel: [ 241.620000] ADDRCONF(NETDEV_UP): wlan0: link is not ready

Paul Dufresne (paulduf) wrote :

At: http://bbs.archlinux.org/viewtopic.php?pid=299642 ; more precisely at http://bbs.archlinux.org/viewtopic.php?pid=296812#p296812
it is said:
I can confirm problems with rtl8187 in vanilla kernels 2.6.23 and 2.6.24-rc1, especially short operation range due to problems with rate control (bit rate goes up and stay there even when you have transmission failures because there's no accounting of retries or failures in the driver). This was already reported to the developers but there's no obvious fix for that using the current mac80211 rate controller. As a workaround, you can manually set the bit rate to a lower value using the "rate" command in iwconfig.

that should be something like:
iwconfig wlan0 rate 5.5M auto

Paul Dufresne (paulduf) wrote :

Forget first link in previous message, rather use the one after more precisely at.

Also, I believe patches for this exist in main linux kernel (made 2007/10/10):
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=history;f=drivers/net/wireless/rtl8187_dev.c;hb=4150c57212ad134765dd78c654a4b9906252b66d

Paul Dufresne (paulduf) wrote :

I don't know to what date we have in Hardy because trying to get history on:
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-hardy.git;a=history;h=decbedde11cdda33533828757df87494b7ab1961;f=drivers/net/wireless/rtl8187_dev.c
give none, but it is quite different than main linux kernel.
See diff file attached.

Haakon Nilsen (haakonn) wrote :

I have this problem as well, with an ipw3945. It seems to have been getting worse and worse lately; at this point I have to reboot several times a day. It's driving me up the walls. That is all.

Chris Cook (chris-cook10) wrote :

Can also confirm this bug. Very annoying.

My adaptor is an Addon GWU190 with an realtek 8187 chip and 8225 radio. Does seem to be related to signal quality/level (moving the router closer helped, however same location works fine for windows). This is on 7.10.

EQuake (equake) wrote :

I'm having the same problem.

Ubuntu Hardy 8.04
Kernel 2.6.24-16-generic #1 SMP
Card ID 0bda:8187 Realtek Semiconductor Corp.

I can't use wifi even when i'm really close to the AP. I can connect once, then I have 70-80% packet loss when pinging the AP IP address, then after some minutes connection dies completely and only come back after a restart.

Tried to boot Fedora Core 9 (kernel 2.6.25) and I can see the AP but can't even connect the 1st time.

:(

renzokuken (renzokuken17) wrote :

EQuake

try running this command first .........

sudo iwconfig wlan0 rate 5.5M auto

then try to connect again

should be noted that the hardy kernel uses a new driver for rtl8187 that replaces the driver used in gutsy and prior releases, so the above command will probably only be relevant for Hardy (2.6.23 kernels and higher)

slayer (antoniochiaravalloti) wrote :

i confirm this bug. netgear wg111v2 onn gutsy and hardy, both 32 bit and 64 bit. there's not a 64 bit driver so i must use a 32 bit ubuntu. I hope this gets fixed

Lewis (gill1313) wrote :

I have a Netgear WG111T and am using hardy. I experience this same problem and it is VERY annoying. Do you know if : sudo iwconfig wlan0 rate 5.5M auto permanently solves the problem? If not, Is there a script that I can use as a "walkaround"?

tsiros (tsiros) wrote :

i have the same problems, with ndiswrapper under ubuntu and a realtek 8187L card. if the signal is not good, the adapter hangs, the led stays either on or off, until i reinsert the adapter.

tsiros (tsiros) wrote :

actually no, that's a lie. the behaviour i described was observed only under XP SP2 with drivers from realtek versions 1313 and previous. under kubuntu 8.10/8.04 it has *similar* (bad) functionality both with the linux driver and the ndiswrapper-ed driver.

Black_Wolf (black-wolf-92) wrote :

confirmed bug on intrepid with the wpn111, ndiswrapped with the windows driver.

Wireless simply stops finding networks to connect to in wicd. And won't connect to the one shown in the Gnome Network Manager.

Please fix this bug, as I've seen many posts on the ubuntu forums with the same problems, showing that the problem is still in the later distrobutions.
Just like to say that eventually I gave up and went back to my WG311, which works fine with the ndiswrapped windows driver, no drop outs etc, but naturally, a smaller range than the wpn111 that I purchased.

tabuas (tabuas) wrote :

hi

i also have the same issue with SMC2862W-G EU (0707:EE13). in interprid it worked out of the box, but lost connections very often and had to reboot to solve it. also tried ndiswrapper+smc2862w driver (winxp). same results.

now with a fresh and updated install of jaunty the issue remains, but just with ndiswrapper, cause it wont work out of the box.

the device works properly under winslows.

one interesting think i've noticed, is that when the connection is lost, the device will remain listed at lsusb. that's ok, but if i disconnect it from usb, it will remain in lsusb. isn't that strange?

please let me know if i can help with any information.

tnjed111 (tristandpeters) wrote :

I have the same issue on a macbook pro with atheros wireless. I went back to intrepid after installing jaunty because of this issue. Now, the issue has resurfaced even in intrepid for some reason. I tried installing the linux-backports modules but that actually made it worse. My WAN (not wireless) connection would drop every minute or so and then come back and drop again. Strangely I could still browse my LAN just fine. I uninstalled the backports and that issue went away, but I still have this annoying issue with a very weak wireless signal, and sudden wireless becoming inoperable that is solved only with a reboot. The wireless (and WAN) is fine in MAC OS X and Windows, which I also have installed.

mtode (mtode2002) wrote :

Hi,
I have the same problem on FS Lifebook C1110 with Intel ProWireless 2200BG Network card. I use WEP 64bit encryption. The issue canot be solved without reboot.

Pieter (diepes) wrote :

I might have a similar bug.
lenovo R61 Laptop

# uname -a
Linux pumba 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 16:20:31 UTC 2009 i686 GNU/Linux

# lspci
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

# lsmod | grep iw
iwl3945 77372 0
iwlcore 112796 1 iwl3945
mac80211 181140 2 iwl3945,iwlcore
led_class 4096 4 iwl3945,iwlcore,sdhci,thinkpad_acpi
cfg80211 93052 3 iwl3945,iwlcore,mac80211

Symptoms: Using WPA-PSK to adsl wifi AP, all works fine, if i then have a powerfailure and the AP reboot, the laptop/network manager refuses to reconnect. It still sees the AP, but will not reconnect until i reboot.

I have tried to remove the wifi modules, switch the hardware wifi switch on and off, but after reloading modules, it still won't connect, only a reboot fixes.

Xirev (xsguo) wrote :

I have the same problem as well.
My card is: Broadcom BCM4312.
Laptop: Dell Inspiron 1501.
OS: Ubuntu 9.04.

Jeff Markowitz (jmarkow) wrote :

Exact same problem with a Thinkpad X200s.

# lspci
03:00.0 Network controller: Intel Corporation Wireless WiFi Link 5300

# uname -a
Linux thinktuxhaus 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 05:23:09 UTC 2010 i686 GNU/Linux

Using WPA for network encryption. Wireless will disconnect rather suddenly, and nothing will rectify the problem except for a reboot.

Morgan (diomede) wrote :

Same problem with Thinkpad T400.

lspci:
03:00.0 Network controller: Intel Corporation Wireless WiFi Link 5300

uname -a:
Linux tarzan-slam 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 05:23:09 UTC 2010 i686 GNU/Linux

Exactly the same as Jeff (#31), but using WEP for network encryption.

siloko (siloko1) wrote :

Same problem with HP Pavilion DV3000

lspci:
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection

uname -a
Linux caspian 2.6.31-16-generic #53-Ubuntu SMP Tue Dec 8 04:02:15 UTC 2009 x86_64 GNU/Linux

WPA encryption. When network is dropped after Network Manager attempts to re-establish the connection I get asked for the WPA passphrase but it continues to fail. Restarting networking has no effect.

Rebooting seems to be the only solution. Netgear WGR614 v9 router.

Metal_Koola (metal-koola) wrote :

Same problem with Acer Aspire 5520

This is with Ubuntu 10.04 Lucid

WPA2-PSK Encryption. As a side effect of the disconnect, it revs up the fan in my computer, like it was trying to process something extremely CPU heavy.

lspci:
05:00.0 Ethernet controller: Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)

uname -a:
Linux cooldude-laptop 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

Also when I dmsg | grep "wlan0" It shows that the last time it tried to connect it times out on the direct probes, when before it got a response almost instantly.

Morgan (diomede) wrote :

Is anyone looking at this bug? It's very disruptive to my work and I would love to have it solved, but haven't found anything online which fixes it. It's still a problem after upgrading to Lucid. I am beginning to consider switching my OS as a result, which would be a shame!

siloko (siloko1) wrote :

I think this is a Network Manager issue because I have subsequently changed to connecting directly via wpa_supplicant on boot with an init.d script after disabling Network Manager and I have had no drop outs since.

My previous situation is described at: https://bugs.launchpad.net/ubuntu/+bug/132042/comments/33

Javad R (javad-itgrade) wrote :

I had the same problem, and i should reboot the system to get wireless to work.
But now every time wireless stops working, I just enter these commands:
$ sudo rmmod iwlagn
$ sudo rmmod iwlcore
$ sudo modprobe iwlcore
$ sudo modprobe iwlagn

and it gets back to work.
I hope it work for you too.

Ryn R (karynr) wrote :

Same problem here, it seems. I'm working with a Dell XPS M1330,

lspci: Network controller: Broadcom Corporation BCM4328 802.11a/b/g/n (rev 03)
uname -a: Linux kanro 2.6.32-25-generic #45-Ubuntu SMP Sat Oct 16 19:48:22 UTC 2010 i686 GNU/Linux

It happens with network manager and with wicd. I tried switching to see if the other would work better, but, same issue. It only seems to have an effect on WPA/WPA2 encryption. And the only way to get it to connect to the router is by rebooting the computer, sometimes several times before it'll connect.

Confirmed on System76 Pangolin Performance.

00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 12)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 12)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
02:00.0 VGA compatible controller: ATI Technologies Inc M92 [Mobility Radeon HD 4500 Series]
02:00.1 Audio device: ATI Technologies Inc RV710/730
06:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8191SEvB Wireless LAN Controller (rev 10)
07:00.0 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 80)
07:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 80)
07:00.3 System peripheral: JMicron Technology Corp. MS Host Controller (rev 80)
07:00.5 Ethernet controller: JMicron Technology Corp. JMC250 PCI Express Gigabit Ethernet Controller (rev 03)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

kamiccolo (kamicc) wrote :

Hello, i probably have same problem.
Using WPA2 and wi-fi accidentlly stops working till restarting my machine Toshiba A300-20N.

$ uname -a
Linux kamiccolo-laptop 2.6.32-26-generic #48-Ubuntu SMP Wed Nov 24 09:00:03 UTC 2010 i686 GNU/Linux

$ lspci
03:00.0 Network controller: Intel Corporation Wireless WiFi Link 5100

$ lsmod | grep iw
iwlagn 106815 0
iwlcore 106050 1 iwlagn
mac80211 205402 2 iwlagn,iwlcore
led_class 2864 2 iwlcore,sdhci
cfg80211 126528 3 iwlagn,iwlcore,mac80211

jahredtobin (jahredtobin) wrote :

Problem tends to occur after several days on an older Vaio. No other devices on the network seem to have the same problem (including a netbook running 10.04).

uname -a
Linux jahred-vaio 2.6.35-28-generic #49-Ubuntu SMP Tue Mar 1 14:40:58 UTC 2011 i686 GNU/Linux

lshw -C network
  *-network:0
       description: Wireless interface
       product: PRO/Wireless 2200BG [Calexico2] Network Connection
       vendor: Intel Corporation
       physical id: 4
       bus info: pci@0000:06:04.0
       logical name: eth1
       version: 05
       serial: 00:13:ce:16:f9:f4
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ipw2200 driverversion=1.2.2kmprq firmware=ABG:9.0.5.27 (Dec 12 2007) ip=192.168.0.66 latency=32 link=yes maxlatency=24 mingnt=3 multicast=yes wireless=IEEE 802.11bg
       resources: irq:22 memory:b0106000-b0106fff
  *-network:1
       description: Ethernet interface
       product: 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet Controller Mobile
       vendor: Intel Corporation
       physical id: 8
       bus info: pci@0000:06:08.0
       logical name: eth0
       version: 03
       serial: 00:01:4a:61:ac:2b
       size: 10MB/s
       capacity: 100MB/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=e100 driverversion=3.5.24-k2-NAPI duplex=half firmware=N/A latency=66 link=no maxlatency=56 mingnt=8 multicast=yes port=MII speed=10MB/s
       resources: irq:20 memory:b0107000-b0107fff ioport:2000(size=64)

Maerlyn (maerlyng) wrote :

Same problem for me, running 10.10 x64, with an asus k50in-series notebook.

uname -a:
Linux biliskner 2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:44 UTC 2011 x86_64 GNU/Linux

lspci:
04:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
using the ath9k module

Dan Buch (meatballhat) wrote :

Same, running 11.10 x64 on a System76 Pangolin Performance 8 (panp8)

uname -a:
    Linux tballhatjr 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:28:43 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

lspci | grep Net:
    04:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE 802.11b/g/n WiFi Adapter (rev 01)

"Connection Info" reports:
    Security: WPA/WPA2
    Driver: rtl8192ce

lsmod | grep rtl:
    rtl8192ce 84775 0
    rtl8192c_common 75767 1 rtl8192ce
    rtlwifi 110972 1 rtl8192ce
    mac80211 462092 3 rtl8192ce,rtl8192c_common,rtlwifi
    cfg80211 199587 2 rtlwifi,mac80211

Dan Buch (meatballhat) wrote :

Since adding previous comment, I've installed rtl8192ce from source (from
Realtek's "92ce_se_de_linux_mac80211_0004.0816.2011.tar.gz".) The wifi is now
working beyond its previous lifetime. The only strange behavior I've seen so
far is that I was presented with *3* dialog windows for re-entering wifi
credentials even though I could see that the wifi icon wasn't "thinking" with
the arcs pulsing in and out. I clicked `Connect` on all three windows (with
cached credentials still entered) and everything still worked fine. I'd been
presented with the credential input windows before reinstalling rtl8192ce,
although it was never more than one at a time, the wifi icon was always
"thinking", and I was never able to successfully reconnect (having to reboot
instead.)

I'm happy to dig into this further (with my very limited knowledge of kernel
internals) if someone more knowledgeable can point the way. I've already tried
turning up NetworkManager's logging both via NetworkManager.conf and by adding
the necessary flags to /etc/init/network-manager.conf but it either didn't work
or (more likely) I have no idea where to look for log output (would it be
/dev/null'd when launched via upstart?)

Dan Buch (meatballhat) wrote :

I'm now running NetworkManager in the foreground with output tee'd to a file on tmpfs with the intent of not slowing things down *too* much while keeping a record of what's going on. This is the command:

    NetworkManager --log-level=DEBUG --log-domains=HW,RFKILL,ETHER,WIFI,BT,MB,DHCP4,DHCP6,PPP,WIFI_SCAN,IP4,IP6,AUTOIP4,DNS,VPN,SHARING,SUPPLICANT,AGENTS,SETTINGS,SUSPEND,CORE,DEVICE,OLPC,WIMAX --no-daemon

pstree is reporting one child process:

    /sbin/dhclient -d -4 -sf /usr/lib/NetworkManager/nm-dhcp-client.action -pf /var/run/dhclient-wlan0.pid -lf /var/lib/dhcp/dhclient-059b0f80-592e-42bd-8b5a-0e947aa8eb0d-wlan0.lease -cf /var/run/nm-dhclient-wlan0.conf wlan0

If I experience anything other than perfect wifi uptime while connected to the current access point, I'll attach the log output.

Dan Buch (meatballhat) wrote :

I've been running NetworkManager in the foreground (in a screen session) for a few days now without any downtime... until a few minutes ago. Upon waking from standby (from laptop lid being closed,) network reconnected but then went into the familiar "attempt reconnect -> prompt for creds -> repeat" loop after 2 minutes or so. I let it loop a few times, but then decided to kill wpa_supplicant based on the error message in the logs frequently mentioning "supplicant" :-P Once wpa_supplicant re-spawned the network immediately reconnected. Could this indicate there's an issue with a stale pipe or socket wrt wpa_supplicant? It's probably worth noting that the PID of wpa_supplicant when I TERM'd the process was 1033, which (I think) seems to indicate it was one of the earliest processes spawned since last boot.

Dan Buch (meatballhat) wrote :

After running NetworkManager in the foreground for a few more days I thought I'd go back to running it via the upstart service. Within a minute of `service network-manager start` I began getting prompted for new network credentials (same old busted behavior.) I kill'd wpa_supplicant to see if the behavior was similar to when I was running NetworkManager in the foreground, but it only made the situation better for 2 minutes at most per restart. Only after stopping the network-manager service and going back to running NetworkManager in the foreground did the situation improve.

Based on the experience of the past week, my next steps will likely be to dig into the NetworkManager source to see if there's anything special going on when the process is daemonized especially wrt wpa_supplicant.

Guy Stone (stoneguy3) wrote :

I've been pecking away at this glitch for years now from one version to the next like everyone else in this thread. I was always suspicious of there being a low-level problem, even though it occurred with multiple machines and different ethernet/wireless chips.

My latest system acquisiition is a machine capable of running VBox. My host session (64-bit 12.04.1 LTS) just went incommunicado on me, but I'm posting this using IE in an XP VM. Leads me to believe that problem is somewhere around OSI Level 4, since the bridged ethernet to the VMs work perfectly. Wish I knew what to twiddle to investigate further.

affects: ubuntu → linux (Ubuntu)

rax_m, thank you for reporting this and helping make Ubuntu better. Fiesty reached EOL on October 2008.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

Please let us know your results. Thank you for your understanding.

Helpful Bug Reporting Tips:
https://help.ubuntu.com/community/ReportingBugs

tags: added: fiesty needs-kernel-logs needs-upstream-testing
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
Guy Stone (stoneguy3) wrote :
Download full text (4.1 KiB)

Unfortunately I can't follow up on your request. My base system is 64-bit
Precise, and I only run Quantal in a VM for short periods frequently. This
problem only shows up after several hours of email. torrent, and newsgroup
downloads, and I've never run any VM long enough to show it there. As I
reported previously, the host can be locked up but connectivity in a VM is
unaffected.

I hit the glitch yesterday, so if there's any value in my going through the
apport collect process I'll be happy to do so the next time I hit it.

The problem with replacing my 3.2.0-32-generic kernel with a 3.3.7 version,
even temporarily, is that most likely my VirtualBox installation won't
work, and I'll have to redo the DKMS rigmarole coming and going...

I can't think of a good solution for this without adding another HD and
cloning over my Precise partition. However, I don't have a spare even close
to large enough. Linux is on a 1.10 TB partition of which about 300GB are
in use (including the VDI files current size).

So, if you have any alternative suggestions on how I can be of assistance,
please let me know.

Guy

On Sun, Oct 14, 2012 at 12:47 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> rax_m, thank you for reporting this and helping make Ubuntu better. Fiesty
> reached EOL on October 2008.
> Please see this document for currently supported Ubuntu releases:
> https://wiki.ubuntu.com/Releases
>
> We were wondering if this is still an issue in a supported release? If
> so, could you please test for this with the latest development release
> of Ubuntu? ISO CD images are available from
> http://cdimage.ubuntu.com/releases/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, could you please test the latest upstream kernel available following
> https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional
> upstream developers to examine the issue. Please do not test the kernel in
> the daily folder, but the one all the way at the bottom. Once you've tested
> the upstream kernel, please comment on which kernel version specifically
> you tested and remove the tag:
> needs-upstream-testing
>
> This can be done by clicking on the yellow pencil icon next to the tag
> located at the bottom of the bug description and deleting the text:
> needs-upstream-testing
>
> If this bug is fixed in the mainline kernel, please add the following tags:
> kernel-fixed-upstream
> kernel-fixed-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested.
>
> If the mainline kernel does not fix this bug, please add the following
> tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested.
>
> If you are unable to test the mainline kernel, please comment as to why
> specifically you were unable to test it and add the following tags:
> kernel-unable-to-test-upstream
> kerne...

Read more...

Guy Stone, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may cause your problem to not be addressed as quickly as possible.

Thank you for your understanding.

Guy Stone (stoneguy3) wrote :

We're miscommunicating somehow. This is not a new bug. It's Launchpad
#132042. My previous entry appears at #48.

I'm glad to see it's being attended to after all this time. Thanks for your
interest.

Guy

On Thu, Oct 25, 2012 at 9:51 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> Guy Stone, if you have a bug in Ubuntu, could you please file a new report
> by executing the following in a terminal:
> ubuntu-bug linux
>
> For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad
> article:
>
> https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
>
> and Ubuntu Community article:
> https://help.ubuntu.com/community/ReportingBugs
>
> When opening up the new report, please feel free to subscribe me to it.
>
> Please note, not filing a new report may cause your problem to not be
> addressed as quickly as possible.
>
> Thank you for your understanding.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/132042
>
> Title:
> wireless stops working until reboot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/132042/+subscriptions
>

Dan Buch (meatballhat) wrote :

Upgrading to Quantal has resulted in (seemingly) corrected behavior. Wireless now connects noticeably faster and reconnects seamlessly after waking from sleep & hibernation. I'm going to keep my eye on this for a while longer, attempt to do stupid things to cause breakage, but for now the bug appears to be resolved.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

Comment # 37 fixed for me

$ sudo rmmod iwlagn
$ sudo rmmod iwlcore
$ sudo modprobe iwlcore
$ sudo modprobe iwlagn

SignedAdam (signedadam) wrote :

solution/fix and its a permanent.

type in command line :

sudo modprobe ath5k nohwcrypt

sudo sh -c "echo 'options ath5k nohwcrypt' >/etc/modprobe.d/custom-wireless.conf"

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments